unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfPrinter_Test = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    cbPrinters: TComboBox;
    bnPrint: TButton;
    procedure FormCreate(Sender: TObject);
    procedure bnPrintClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fPrinter_Test: TfPrinter_Test;

implementation

uses SplPrint;

{$R *.DFM}

procedure TfPrinter_Test.FormCreate(Sender: TObject);
var
  DefaultPrinterId: integer;
begin
  EnumPrt(cbPrinters.Items, DefaultPrinterId);
  cbPrinters.ItemIndex := DefaultPrinterId;
end;

procedure TfPrinter_Test.bnPrintClick(Sender: TObject);
begin
  StartPrint(cbPrinters.Items[cbPrinters.ItemIndex], 'test doc', '', 1);
  try
    ToPrnFrmC(Memo1.Text, []);
  finally
    EndPrint();
  end;
end;

end.
